Package picard.illumina.parser.fakers

# Class FilterFileFaker

java.lang.Object
picard.illumina.parser.fakers.FileFaker
picard.illumina.parser.fakers.FilterFileFaker

public class FilterFileFaker extends FileFaker
Created by jcarey on 3/13/14. Illumina uses an algorithm described in "Theory of RTA" that determines whether or not a cluster passes filter("PF") or not. These values are written as sequential bytes to Filter Files. The structure of a filter file is as follows: Bytes 0-3 : 0 Bytes 4-7 : unsigned int version Bytes 8-11 : unsigned int numClusters Bytes 12...: boolean encoded in a byte representing whether the cluster passing or failing.

## Constructor Summary

Constructors
Constructor
Description
`FilterFileFaker()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`addLeadingZeros()`
`protected int`
`bufferSize()`
`protected void`
`fakeFile(ByteBuffer buffer)`

### Methods inherited from class picard.illumina.parser.fakers.FileFaker

`fakeFile, fakeFile, fakeFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterFileFaker

public FilterFileFaker()

## Method Details

### fakeFile

protected void fakeFile(ByteBuffer buffer)

Specified by:
  `fakeFile` in class `FileFaker`

### addLeadingZeros

protected boolean addLeadingZeros()

Specified by:
  `addLeadingZeros` in class `FileFaker`

### bufferSize

protected int bufferSize()

Specified by:
  `bufferSize` in class `FileFaker`